@ECHO OFF
REM sasevagent23_jarfix.bat
REM Used as a wrapper for ant code sasevagent23_jarfix.xml. Code located SAS delivered version of at and uses it to locate and update product specific picklists that reference unsecure jars

	
	IF "%~1"=="" (
	echo "No parameter(SASHOME) was specified. Please try again"
	cmd /k
	goto endfile
	)
	
	REM HANDLE SASHOME PARAM
	set SASHOME=%1%
	set SASHOMETEMP=%SASHOME:"=%
	IF "%SASHOMETEMP:~-1%"=="\" SET SASHOME=%SASHOMETEMP:~0,-1%

	REM HANDLE SASCONFIG PARAM
	IF "%~2"=="" ( 
					SET SCANFORCONFIG=auto
					echo Automatic Searching
				) else (
						SET SASCONFIG=%2%
						echo Config Directory entered manually
						)
	echo SASHOME= %SASHOME%
	echo SASCONFIG= %SASCONFIG%
	REM Locate the SAS delivered JRE for use:
	findstr /b /c:"JREHOME" "%SASHOMETEMP%\sassw.config" > jre_temp.txt
    set /p JRETEMP= < jre_temp.txt
	set JRE=%JRETEMP:~8%
	del jre_temp.txt
    
    REM check to see  if the JRE is a valid path
    IF NOT EXIST "%JRE%" (
    echo JRE is invalid or doesn't exist. Skipping automated post-install steps for sasevagent23_jarfix.xml.
    goto endfile
    ) 
   	echo JRE=%JRE%

    
	REM Locate the SAS delivered version of ANT for use:
	echo Searching for SASDeploymentManager in this SASHome location %SASHOMETEMP%

	for /d %%a in (
		"%SASHOMETEMP%\SASDeploymentManager\9.4\products\deploywiz*"
	) do (
		set foundpath=%%~fa
	)

	echo Using %foundpath%\deploywiz\ant-launcher.jar to launch ant scripts

	REM execute ant script
	IF "%SCANFORCONFIG%" == "auto" (
			"%JRE%" -jar "%foundpath%\deploywiz\ant-launcher.jar" -buildfile sasevagent23_jarfix.xml -DSASHOME=%SASHOME% -DPLAT=WIN
			) else (
						"%JRE%" -jar "%foundpath%\deploywiz\ant-launcher.jar" -buildfile sasevagent23_jarfix.xml -DSASHOME=%SASHOME% -DSASCONFIG=%SASCONFIG% -DPLAT=WIN
					)
	
	:endfile